API referenceReports
Query Reports
Query company reports using a standardized query format. Supports booking analytics, demand, product/stock performance, and customer analytics with date, location, product, and category filters.
GET
/reports/querycurl -X GET "https://dash.lockii.app/api/v1/reports/query?report=booking_analytics" \
-H "x-api-key: $LOCKII_API_KEY"Authorization
x-api-keystringheaderAPI key from Settings → Integrations → API.
AuthorizationstringheaderThe same API key, or an OAuth access token, sent as Authorization: Bearer.
api_keystringqueryAPI key query parameter.
Parameters
reportenum<string>queryrequiredReport to query.
One of:booking_analyticsperformancecustomer_analyticsdemandqueryobjectqueryPass as a JSON string.
Default:{"limit":10}
Response
application/json
JSON result for this operation.
object
{}